[package]
name = "fleet-scheduler"
version.workspace = true
edition.workspace = true
rust-version.workspace = true
authors.workspace = true
license.workspace = true
repository.workspace = true

[[bin]]
name = "fleet-scheduler"
path = "src/main.rs"

[dependencies]
anyhow.workspace = true
chrono.workspace = true
clap.workspace = true
deployer-types = { workspace = true }
serde_json.workspace = true
tokio.workspace = true
tracing.workspace = true
tracing-subscriber.workspace = true
tonic.workspace = true

chainfire-client = { workspace = true }
fiberlb-api = { workspace = true }
flashdns-api = { workspace = true }
iam-client = { workspace = true }
iam-types = { workspace = true }
